VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Services::ServiceInfo Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Services::ServiceInfo:

## Avaliable Methods
public method | get_description ()
public method | set_operations ()
public method | set_description ()
public method | get_operations ()
public method | set_name ()
public method | new ()
public method | get_name ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Services::ServiceInfo` class Structure that describes a service and the operations you can perform on a service.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. A description of the service. The description can be empty. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the service, for example, "vmware-vpxd". This name is unique per machine. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::get_operations | ( |  | ) |

Gets the value of 'operations' property.

Return values

  operations | - The current value of the field. The operations encoded in an array, supported by the service. List#

Code:
click to view
# Number of lines of code in get_operations: 4
sub get_operations {
my ($self, %args) = @_;
return $self->{'operations'};
}

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Services::ServiceInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{description} = $args{'description'};
$self->{operations} = $args{'operations'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Services::ServiceInfo');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.services.service_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'operations', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview', 'type_name' => 'Services::ServiceOps')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. A description of the service. The description can be empty.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the service, for example, "vmware-vpxd". This name is unique per machine.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Services::ServiceInfo::set_operations | ( |  | ) |

Sets the given value for 'operations' property.

Parameters

  operations | - New value for the field. The operations encoded in an array, supported by the service.

Code:
click to view
# Number of lines of code in set_operations: 5
sub set_operations {
my ($self, %args) = @_;
$self->{'operations'} = $args{'operations'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Services.pm